import { ContainerModule } from 'inversify';
import { POLICY_SERVICE_TOKEN } from '../tokens';
import { PolicyService } from '@/lib/services/policy/PolicyService';

export const PolicyModule = new ContainerModule((options) => {
  const bind = options.bind;

  // Policy Service
  bind<PolicyService>(POLICY_SERVICE_TOKEN)
    .to(PolicyService)
    .inSingletonScope();
});